Package ch.qos.logback.core.joran.util.beans

# Class BeanDescription

java.lang.Object
ch.qos.logback.core.joran.util.beans.BeanDescription

public class BeanDescription extends Object
Lightweight pendant to the java.beans.BeanInfo class. An instance of this class encapsulates the properties of a certain class. The properties are the public setters and getters. In addition the 'add-er'-methods are included, which are the public methods which start with the prefix 'add'.

Author:
  urechm

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BeanDescription(Class<?> clazz, Map<String,Method> propertyNameToGetter, Map<String,Method> propertyNameToSetter, Map<String,Method> propertyNameToAdder)`
Scope protected since only the `BeanDescriptionFactory` must create BeanDescriptions in order to guarantee consistency between the given parameters.

## Method Summary

Modifier and Type
Method
Description
`Method`
`getAdder(String propertyName)`
`Class<?>`
`getClazz()`
`Method`
`getGetter(String propertyName)`
`Map<String,Method>`
`getPropertyNameToAdder()`
`Map<String,Method>`
`getPropertyNameToGetter()`
`Map<String,Method>`
`getPropertyNameToSetter()`
`Method`
`getSetter(String propertyName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BeanDescription

protected BeanDescription(Class<?> clazz, Map<String,Method> propertyNameToGetter, Map<String,Method> propertyNameToSetter, Map<String,Method> propertyNameToAdder)
Scope protected since only the `BeanDescriptionFactory` must create BeanDescriptions in order to guarantee consistency between the given parameters.

Parameters:
  `clazz` - of the bean.
  `propertyNameToGetter` - map of property names to the associated getter.
  `propertyNameToSetter` - map of property names to the associated setter.
  `propertyNameToAdder` - map of property names to the associated adder.

## Method Details

### getClazz

public Class<?> getClazz()

### getPropertyNameToGetter

public Map<String,Method> getPropertyNameToGetter()

### getPropertyNameToSetter

public Map<String,Method> getPropertyNameToSetter()

### getGetter

public Method getGetter(String propertyName)

### getSetter

public Method getSetter(String propertyName)

### getPropertyNameToAdder

public Map<String,Method> getPropertyNameToAdder()

### getAdder

public Method getAdder(String propertyName)